=== debian/changelog ===
ros-noetic-nmea-navsat-driver (0.6.1-2focal) focal; urgency=high

  * Decode lines from the UDP server before passing them to the driver (#122 <https://github.com/evenator/nmea_navsat_driver/issues/122>)
  * Fix #115 <https://github.com/evenator/nmea_navsat_driver/issues/115> Decoding errors. (#116 <https://github.com/evenator/nmea_navsat_driver/issues/116>)
  * Fix UTC time parsing #105 <https://github.com/evenator/nmea_navsat_driver/issues/105> (#106 <https://github.com/evenator/nmea_navsat_driver/issues/106>)
  * Fix lint in doc config python (#117 <https://github.com/evenator/nmea_navsat_driver/issues/117>)
  * Contributors: Ed Venator

 -- Ed Venator <evenator@gmail.com>  Sat, 16 Jan 2021 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.6.0-2focal) focal; urgency=high

  * Update to Python3 for ROS Noetic (#113 <https://github.com/ros-drivers/nmea_navsat_driver/issues/113>)
  * Fix valid_fix check (#111 <https://github.com/ros-drivers/nmea_navsat_driver/issues/111>) (#112 <https://github.com/ros-drivers/nmea_navsat_driver/issues/112>)
  * Add Sphinx and rosdoc configuration (#93 <https://github.com/ros-drivers/nmea_navsat_driver/issues/93>)
  * Add missing dependency on tf (#102 <https://github.com/ros-drivers/nmea_navsat_driver/issues/102>)
  * Trim whitespace in nmea_topic_driver (#98 <https://github.com/ros-drivers/nmea_navsat_driver/issues/98>)
  * Use a regex to split tokens in parser (#87 <https://github.com/ros-drivers/nmea_navsat_driver/issues/87>)
  * Fix PEP8 Violations (#68 <https://github.com/ros-drivers/nmea_navsat_driver/issues/68>)
  * Remove automatic prefixing of forward slash to frame_id. (#33 <https://github.com/ros-drivers/nmea_navsat_driver/issues/33>/#57 <https://github.com/ros-drivers/nmea_navsat_driver/issues/57>)
  * Add support for IMU aided GPS systems (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Publish heading (#25 <https://github.com/ros-drivers/nmea_navsat_driver/issues/25>)
  * Improve Covariance Estimation (#46 <https://github.com/ros-drivers/nmea_navsat_driver/issues/46>)
  * Remove Mean Sea Level compensation (#36 <https://github.com/ros-drivers/nmea_navsat_driver/issues/36>)
  * Contributors: Ed Venator, Maximilian von Unwerth

 -- Ed Venator <evenator@gmail.com>  Sat, 26 Sep 2020 04:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.2-2focal) focal; urgency=high

  * Use Python's SocketServer rather than low level socket APIs. (#92 <https://github.com/ros-drivers/nmea_navsat_driver/issues/92>)
    This simplifies code and makes it easier to add TCP support in the future. The ``buffer_size`` parameter is no longer necessary because this is an internal detail of UDPServer.
  * Add documentation that passes ``pydocstyle``. (#88 <https://github.com/ros-drivers/nmea_navsat_driver/issues/88>)
  * Add an Option to Use GNSS Time and Improve Time Parsing. (#79 <https://github.com/ros-drivers/nmea_navsat_driver/issues/79>)
    
      * Add an optional parameter ``use_GNSS_time`` to use the time from the GPS sentences for ROS message time instead of using system time.
      * Improve GPS time parsing to support nanosecond precision on devices that support it.
      * Improve GPS time parsing to use RMC message for date when available.
      * Improve GPS time parsing to resolve ambiguities in date and century using system time.
    
  * Refactor all nodes into entrypoint scripts. (#76 <https://github.com/ros-drivers/nmea_navsat_driver/issues/76>).
    This will reduce the difference between ROS 1 and ROS 2 code, because ROS 2 uses Python entry points to install executables.
  * Fix PEP8 Violations (#68 <https://github.com/ros-drivers/nmea_navsat_driver/issues/68>). All Python modules and scripts now pass ``pycodestyle --max-line-length 120 src/libnmea_navsat_driver/ scripts/*``
  * Add ``nmea_serial_driver`` launch file (#60 <https://github.com/ros-drivers/nmea_navsat_driver/issues/60>)
  * Removed ``roslint`` as build depend. (#59 <https://github.com/ros-drivers/nmea_navsat_driver/issues/59>)
    ``roslint`` was accidentally re-added as a build dependency in #25 <https://github.com/ros-drivers/nmea_navsat_driver/issues/25>.
  * Contributors: Ed Venator, Ryan Govostes, Tony Baltovski, Xiangyang Zhi, diasdm

 -- Ed Venator <evenator@gmail.com>  Sun, 23 Feb 2020 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.1-2focal) focal; urgency=high

  * Add support for IMU aided GPS systems like the Applanix POS/MV, whose NMEA strings typically begin '$IN'. (e.g. $INGGA). Add support for VTG messages, which contain Course Over Ground and Speed Made Good. These are useful when not using RMC messages and you don't have a heading sensor. (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Add a NMEA socket driver node, which is like the existing serial driver node, but instead of attaching to a TTY handle from a serial port, it listens to a UDP port for NMEA sentences. (#32 <https://github.com/ros-drivers/nmea_navsat_driver/issues/32>)
  * Add code to handle serial exception to allow node to exit cleanly (#52 <https://github.com/ros-drivers/nmea_navsat_driver/issues/52>)
  * Cleanup CMakeLists, package.xml; using package format 2. (#28 <https://github.com/ros-drivers/nmea_navsat_driver/issues/28>)
  * Update maintainer to Ed Venator (#38 <https://github.com/ros-drivers/nmea_navsat_driver/issues/38>)
  * Add GLONASS support
  * Updated driver to accept status of 9 which some novatel recievers report for a WAAS (SBAS) fix.
    See http://www.novatel.com/support/known-solutions/which-novatel-position-types-correspond-to-the-gga-quality-indicator/
  * Contributors: Ed Venator, Eric Perko, Loy, Mike Purvis, Patrick Barone, Timo Röhling, Vikrant Shah

 -- Ed Venator <evenator@gmail.com>  Sun, 30 Dec 2018 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.0-2focal) focal; urgency=high


