=== debian/control ===
Source: ros-noetic-nmea-navsat-driver
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, ros-noetic-catkin, ros-noetic-roslint
Homepage: http://ros.org/wiki/nmea_navsat_driver
Standards-Version: 3.9.2

Package: ros-noetic-nmea-navsat-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-serial, ros-noetic-geometry-msgs, ros-noetic-nmea-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-tf
Description: Package to parse NMEA strings and publish a very simple GPS message.
 Does not require or use the GPSD deamon.
